×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Jan 2007
    Location
    bucharest
    Posts
    222

    does nokia 5800 express muzic support Platform Services 2.0 JavaScript API reference?

    I've got the last firmware...

    from my test it and there is no nokia.device object...
    or I have to include some files(class definitions or smth), like API bridge?

  2. #2
    Nokia Developer Champion
    Join Date
    Aug 2008
    Location
    Vadodara, India.
    Posts
    903

    Re: does nokia 5800 express muzic support Platform Services 2.0 JavaScript API refere

    Quote Originally Posted by shpe11 View Post
    I've got the last firmware...

    from my test it and there is no nokia.device object...
    or I have to include some files(class definitions or smth), like API bridge?
    may be for that you have to install widge in in-built memory.

    I have same device Nokia 5800 and i tested a widget that using nokia.device and also working nicely.

    Thanks,
    Chintan Dave.

  3. #3
    Registered User
    Join Date
    Jan 2007
    Location
    bucharest
    Posts
    222

    Re: does nokia 5800 express muzic support Platform Services 2.0 JavaScript API refere

    found it...

    http://library.forum.nokia.com/index...08A0292FF.html

    Download theNokia Platform Services 2.0 software package and extract it.
    Copy the platformservices.js file to the widget folder.
    In the widget HTML file, import the library file with a <script> element:
    <script type="text/javascript" src="platformservices.js"></script>


    Quote Originally Posted by chintandave_er View Post
    may be for that you have to install widge in in-built memory.

    I have same device Nokia 5800 and i tested a widget that using nokia.device and also working nicely.

    Thanks,
    Chintan Dave.

  4. #4
    Registered User
    Join Date
    Jan 2007
    Location
    bucharest
    Posts
    222

    Re: does nokia 5800 express muzic support Platform Services 2.0 JavaScript API refere

    still not work, I got errors... failed to getList (medialist) and getThumb

    (

    just wanna make this fully work!!! http://www.youtube.com/watch?v=uDJPBnSv0wc

    -in flash player(swf) I have no enough space to save, and get errors for images that have no thumbs
    -in widget(html+swf) have enough data to save, but little memory for flash to load a 3MP picture, and the thumbs from platform services2 does not work
    -will try with API bridge from widget... - I'll post if it works or not
    http://m.shpe.ro
    http://work.shpe.ro
    http://purchase.shpe.ro/iPics

  5. #5
    Registered User
    Join Date
    May 2007
    Location
    USA
    Posts
    120

    Post Re: does nokia 5800 express muzic support Platform Services 2.0 JavaScript API refere

    Quote Originally Posted by shpe11 View Post
    I've got the last firmware...

    from my test it and there is no nokia.device object...
    or I have to include some files(class definitions or smth), like API bridge?
    As far as I understand from the Platform Services page, there are some PS2.0 features that aren't supported without a firmware upgrade, as described in this paragraph:

    Note that in devices providing Platform Services 1.0 and in the emulators the new asynchronous call features of the Calendar, Messaging, and Landmarks APIs will not function as expected. It is therefore recommended that testing be conducted on a Nokia N97 mobile computer or Nokia N97 mini. Other devices will gain full support by firmware updates.

    Now I'm not sure that you are using those features, but it seems like the 5800 doesn't have full support for PS2.0 yet. BTW, detailed differences between PS2.0 and PS1.0 are in this PS release note PDF.

    EDIT: The functions you are calling getList and getThumbnail aren't supported in PS1.0 API, so that explains why the 5800 doesn't support it. Which firmware are you using the 5800? It seems to me this indicates there's at least one more firmware upgrade coming for the 5800 beyond v40.
    --Himanshu
    Nokia N8-00 (Symbian Belle, NAM RM-596)
    Nokia 5800 XpressMusic (S60 5th Ed., NAM RM-428, v51.2.007)
    S/w: ADT v1.4 + S60 5.0 SDK on Win7 x64

Similar Threads

  1. Python S60 Emulator
    By NAYSAMBO in forum Symbian
    Replies: 25
    Last Post: 2009-04-08, 10:22

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •